> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firstanswer.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get dashboard data



## OpenAPI

````yaml /api-reference/openapi.yaml get /v1/dashboard/
openapi: 3.0.3
info:
  title: First Answer API
  version: 1.0.0
servers:
  - url: https://api.firstanswer.ai
    description: Production
security: []
tags:
  - name: Brands
    description: Manage brands in your workspace
  - name: Groups
    description: Organize prompts into groups
  - name: Monitored Competitors
    description: Track competitor visibility
  - name: Monitored Prompts
    description: Track and analyze AI prompts
  - name: Cited Sources
    description: View sources cited in AI responses
  - name: Action Plans
    description: Manage optimization action plans
  - name: Dashboard
    description: Aggregated metrics and insights
paths:
  /v1/dashboard/:
    get:
      tags:
        - Dashboard
      summary: Get dashboard data
      operationId: dashboard_retrieve
      parameters:
        - in: query
          name: brand_id
          schema:
            type: integer
          required: true
        - in: query
          name: start_date
          schema:
            type: string
            format: date
          description: Start date in YYYY-MM-DD format
          required: true
        - in: query
          name: end_date
          schema:
            type: string
            format: date
          description: End date in YYYY-MM-DD format
          required: true
        - in: query
          name: group_id
          schema:
            type: integer
            nullable: true
        - in: query
          name: ai_model
          schema:
            enum:
              - chat_gpt
              - perplexity
              - bing_copilot
              - google_ai
              - gemini
              - grok
              - google_ai_mode
            type: string
            minLength: 1
          description: |-
            * `chat_gpt` - Chat Gpt
            * `perplexity` - Perplexity
            * `bing_copilot` - Bing Copilot
            * `google_ai` - Google Ai
            * `gemini` - Gemini
            * `grok` - Grok
            * `google_ai_mode` - Google Ai Mode
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DashboardResponse'
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
      security:
        - ApiKeyAuth: []
components:
  schemas:
    DashboardResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Dashboard'
      required:
        - data
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        details:
          type: object
          additionalProperties: {}
      required:
        - code
        - message
    Dashboard:
      type: object
      properties:
        total_prompts:
          type: integer
        total_responses:
          type: integer
        total_brand_mentions:
          type: integer
        brand_mention_rate:
          type: string
          format: decimal
          pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
          description: Brand mention rate in percentage
        average_brand_sentiment:
          type: string
          format: decimal
          pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
          description: Average brand sentiment in decimal (0 to 100)
        competitors_count:
          type: integer
        brands_ranking:
          type: array
          items:
            $ref: '#/components/schemas/BrandRanking'
        top_ranked_prompts:
          type: array
          items:
            $ref: '#/components/schemas/RankedPrompt'
        lowest_ranked_prompts:
          type: array
          items:
            $ref: '#/components/schemas/RankedPrompt'
      required:
        - average_brand_sentiment
        - brand_mention_rate
        - brands_ranking
        - competitors_count
        - lowest_ranked_prompts
        - top_ranked_prompts
        - total_brand_mentions
        - total_prompts
        - total_responses
    BrandRanking:
      type: object
      properties:
        name:
          type: string
        mentions:
          type: integer
        own_brand:
          type: boolean
        ranking:
          type: integer
        visibility:
          type: string
          format: decimal
          pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
          description: Visibility in percentage
        average_position:
          type: string
          format: decimal
          pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
          description: Average position in decimal
        average_sentiment:
          type: string
          format: decimal
          pattern: ^-?\d{0,4}(?:\.\d{0,2})?$
          description: Average sentiment in decimal (0 to 100)
      required:
        - average_position
        - average_sentiment
        - mentions
        - name
        - own_brand
        - ranking
        - visibility
    RankedPrompt:
      type: object
      properties:
        id:
          type: integer
        brand_mentions:
          type: integer
        prompt:
          type: string
        visibility:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
          description: Visibility in percentage
      required:
        - brand_mentions
        - id
        - prompt
        - visibility
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api-key

````